Dec
19
Filed Under (LG Cell Phone Software, LG Pad) by lg-phones on 19-12-2013

Just in case your guys need this here are stock LG G Pad 8.3 V510 rom / firmware.

Download the LG G Pad 8.3 V510 rom / firmware on this site. It is highly recommended to always use the most recent driver version available.

Note: Haven’t tested it yet. So if something goes south you can flash back to stock again. Goode Luck!

Downloads:

Instructions:

  1. Install USB Drivers on your PC
  2. Install LG Flash Tool 1.8 on your PC
  3. Extract the DLL file and overwrite the one at C:\LG\LGFlashTool (which will be there if you already installed LG Flash tool like you should have) Do this. People are missing this. If you get a logon screen in the LG Flash Tool you didnt do this.
  4. Boot the tablet into Download mode by hold Volume Up + Volume Down + plug in USB to PC. At this time your computer should install the device
  5. Open LG Flash Tool, choose "Select Manual Mode" checkbox on top then on the top DLL box choose the "LGV510_20131121_LGFLASHv160.dll" you downloaded earlier, then in the S/W box click add and choose your TOT file. Then hit OK.
  6. Now click the yellow arrow in the top left of the main window. It will prepare and maybe give a milky way error (seriously) ignore it until it says finished, or ready.
  7. Now unplug your tablet, power off and then go back into download mode again. It should immediately connect and start flashing.
  8. It will restart around 83% and then you are done!

CAUTION: any time you flash your tablet, you do this at your own risk of bricking your LG G Pad 8.3 V510. I will not be liable.

LG G Pad 8.3 LTE tablet Photos – LG Cell Phone Pictures

LG G Pad 8.3 LTE tablet

 

LG Cell Phone – Related Posts

Comments

Angel on 25 October, 2014 at 11:31 am #

I’m getting this error: “Download user image is only available in the online environment”. Any way to fix this? My tablet is actually soft bricked, so any help would be appreciated.


Jeremy Harpham on 7 March, 2015 at 3:05 pm #

You get this error when using the wrong DLL – the version needed is: LGV510_SVC_LGFLASHv160.dll
Look for the Kitkat 4.4.4 instructions for GPE download update and they contain this DLL version. It just worked for me.


Post a Comment
Name:
Email:
Website:
Comments: